#include "H/Function_Init.H"

void CHKSUM_Start(void);
uint Read_CHKSUM(void);

/*****************************************************
*函数名称：void CHKSUM_Function(void)
*函数功能：CHKSUM功能演示
*入口参数：void
*出口参数：void
*功能说明：CHKSUM运算完后，通过串口发送运算得出的数据，
           根据此数据与下载程序后的CHKSUM值对比。
*****************************************************/
void CHKSUM_Test(void)
{ 
	uint SUM;
	while(1)
	{
		CHKSUM_Start();       //CHKSUM开始运算
		SUM = Read_CHKSUM();  //读取CHKSUM运算完数值
	}
}
/*****************************************************
*函数名称：void CHKSUM_Start(void)
*函数功能：CHKSUM运算
*入口参数：void
*出口参数：void
*****************************************************/
void CHKSUM_Start(void)
{
	EA=0;
	OPERCON = 0X01;
	nop; nop; nop; nop;
	nop; nop; nop; nop;
	nop; nop; nop; nop;
	nop; nop; nop; nop;  //CHKSUM运算延时	
	EA=1;
}
/*****************************************************
*函数名称：uint Read_CHKSUM(void)
*函数功能：读取CHKSUM数值
*入口参数：void
*出口参数：void
*****************************************************/
uint Read_CHKSUM(void)
{
  uint temp;
  temp = (CHKSUMH<<8);
  temp |= CHKSUML;
  return  temp; 
}